Bug 1671876 - "Bond Active Slave" parameter on RHV-M GUI shows an incorrect until Refresh Caps
Summary: "Bond Active Slave" parameter on RHV-M GUI shows an incorrect until Refresh Caps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.2.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.4.1
: ---
Assignee: Dominik Holler
QA Contact: Michael Burman
Rolfe Dlugy-Hegwer
URL:
Whiteboard:
Depends On:
Blocks: 1509007 1801794
TreeView+ depends on / blocked
 
Reported: 2019-02-01 23:09 UTC by Chetan Nagarkar
Modified: 2020-08-04 13:17 UTC (History)
7 users (show)

Fixed In Version: vdsm-4.40.15
Doc Type: Enhancement
Doc Text:
Suppose a Host has a pair of bonded NICs using `(Mode 1) Active-Backup`. Previously, the user clicked *Refresh Capabilities* to get the current status of this bonded pair. In the current release, if the active NIC changes, it refreshes the state of the bond in the Administration Portal and REST API. You do not need to click *Refresh Capabilities*.
Clone Of:
Environment:
Last Closed: 2020-08-04 13:16:51 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3888391 0 None None None 2019-02-05 19:09:03 UTC
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:17:21 UTC
oVirt gerrit 106799 0 master ABANDONED net: api for bond active slave config change 2021-01-22 07:00:50 UTC
oVirt gerrit 108028 0 master MERGED net: Notify Engine if the active slave changes 2021-01-22 07:00:50 UTC
oVirt gerrit 108367 0 master MERGED net: Add netlink monitor active slaves of a bond 2021-01-22 07:00:50 UTC

Description Chetan Nagarkar 2019-02-01 23:09:13 UTC
Description of problem:
"Bond Active Slave" parameter on RHV-M GUI is showing an incorrect value in Active-Backup mode.

Version-Release number of selected component (if applicable):
RHV 4.2.8

How reproducible:

1. On a RHV host "Host1", the NICs "eno1" and "eno49" are bonded together as "bond0" in Active-Backup mode.
2) Unplug the network cable from the NIC ports to test the redundancy.
3) Before unplugging, both "eno1" and "eno49" shows up, Bond Active Slave is  shown as "eno49" on both RHV-M and hypervisor command-line.
4) After unplugging "eno49", 'eno1' status is up and eno49 status is "down" on both RHV-M GUI and cli of the host. Bond Active Slave is (successfully) changed to "eno1" on host cli whereas the RHV-M still showing "eno49" as Bond Active Slave".
5) Even after 'ovirt-engine' service restart, the results are same.

Workaround:
- In RHV, "Refresh Capabilities" option on the host corrects the status of an active slave. 

>>> Select host > Right click > Select Management > Refresh Capabilities.

Comment 1 Dominik Holler 2019-02-05 08:30:55 UTC
possible duplicate of bug 999947

Comment 2 Dominik Holler 2019-02-05 11:43:07 UTC
Document the workaround for 4.3.

Comment 4 Marina Kalinin 2019-02-05 17:09:35 UTC
Hi Chetan,

Thanks for reporting.
Can you please attach the kcs for the bug?

Comment 5 Chetan Nagarkar 2019-02-05 19:09:51 UTC
Hello Marina,

KCS has been created and attached to this bug.

--
ChetanN

Comment 6 Dan Kenigsberg 2019-03-07 20:15:16 UTC
Bug 1240719 about a similar issue was closed WONTFIX.

Comment 8 Dominik Holler 2019-08-06 14:03:49 UTC
What happens if the bond moved to a bad state after reported as good? E.g. because the config of the switch is messed up?

Comment 12 Michael Burman 2020-05-25 09:42:25 UTC
Verified on - rhvm-4.4.1-0.1.el8ev.noarch with
nmstate-0.2.6-13.el8_2.noarch
vdsm-4.40.17-1.el8ev.x86_64
NetworkManager-1.22.8-4.el8.x86_64

Comment 19 errata-xmlrpc 2020-08-04 13:16:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.